﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" />
        <link href="../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Configuring File Directories</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring File Directories</h1>
        <p>You can manage files in Saviynt Identity Governance and Administration (IGA) via the <strong>File Directory</strong> page. Managing files involves the following:</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">Any actions performed on the files such as edit, update, upload, download, and delete are recorded in the system and displayed under <strong>Object Name</strong> in the <strong>Application Audit Logs</strong> page (<strong>ADMIN &gt; Admin Function &gt; Application Audit Logs</strong>).</p>
                </li>
                <li MadCap:conditions="Default.v2021X">
                    <p>The Images tab has been discontinued in Release v2021.0. Use the <strong>IMAGES</strong> tab from the <strong>User Interface Branding Configuration</strong> page to manage the images. For more information, see <MadCap:xref href="Customizing-User-Interface-for-Release-v2021-0.htm">Customizing User Interface for Release v2021.0</MadCap:xref>.</p>
                </li>
            </ul>
        </div>
        <h2>Understanding the Supported File Format</h2>
        <p>This table includes the file formats that IGA support for various functions. </p>
        <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Nested-Table.css');" class="TableStyle-Nested-Table" cellspacing="0">
            <col style="width: 146.0px;" class="TableStyle-Nested-Table-Column-Column1" />
            <col style="width: 221.0px;" class="TableStyle-Nested-Table-Column-Column1" />
            <col style="width: 240.0px;" class="TableStyle-Nested-Table-Column-Column1" />
            <col style="width: 153.0px;" class="TableStyle-Nested-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Nested-Table-Head-Header1">
                    <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">File</th>
                    <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Action</th>
                    <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Navigation</th>
                    <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">Extension</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">GSP file</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Upload, download, modify, revert and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text"><b>File Directory &gt; Views</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">
                            <label class="param-value">.gsp</label>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">JAR file</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Upload, download, revert and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text"><b>File Directory &gt; externalJar</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>
                            <label class="param-value">.jar</label>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="4" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Schema file</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">SAV file</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Upload, download, revert and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text"><b>File Directory &gt; SAV</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>
                            <label class="param-value">.csv</label>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Data file</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Upload, download, revert and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text"><b>File Directory &gt; Datafiles</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>
                            <label class="param-value">.csv</label>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1" MadCap:conditions="Default.v2021X">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Connector file</p>
                        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
                            <p class="note">Available from Release v2021.0 onwards.</p>
                        </div>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Upload, download, and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text"><b>File Directory &gt; Connectorfiles</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>
                            <label class="param-value">.p12</label>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Success file</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Download and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><b>File Directory &gt; Success</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>
                            <label class="param-value">.csv</label>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                        <p class="table-text">Fail file</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                        <p class="table-text">Download, and delete</p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                        <p><b>File Directory &gt; Fail</b>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                        <p>
                            <label class="param-value">.csv</label>
                        </p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2>Managing the GSP Files</h2>
        <p>You can manage the GSP files from the <strong>Views</strong> tab on the <strong>File Directory</strong> page.</p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="table-text">Available from Release v5.5 SP3 onwards.</p>
        </div>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li>
                <p>In the left pane, under <strong>Settings</strong>, click <strong>File Directory</strong>.<br />The <strong>File Directory</strong> page is displayed.<br /></p>
                <p MadCap:conditions="Default.v2021X">
                    <img src="../Resources/Images/File Directory page.png" />
                </p>
            </li>
            <li>
                <p>Click the <strong>Views</strong> tab, and then perform any required action listed in the following table:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 177.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 584.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Upload</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload the GSP files:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click the <strong>Upload</strong> icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol>
                                        <li>
                                            <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the GSP file to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">You must retain the original name of the GSP file before uploading it to IGA. For example, if you upload the <label class="filename-path">technicalRuleEdit.gsp</label> file then you must retain the original name of the file before uploading.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Upload</strong>. The newly uploaded file is added to IGA.<br />If the upload is successful, the <strong>File Uploaded Successfully</strong> message appears.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">If a file with the same name exists in IGA, the version number of the newly uploaded file is numerically incremented. For example, if the <label class="filename-path">Create.gsp</label> file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Close</strong>.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Edit</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To modify the GSP files:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the GSP file you want to modify, and then click the <strong>Edit </strong>icon.<br />The <strong>Create File</strong> dialog box is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">Perform the necessary changes and click <strong>Submit</strong>.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Download</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To download a GSP file to your local system:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the GSP file you want to download and click the <strong>Download </strong>icon. <br />If the download is successful, the <strong>File Downloaded Successfully</strong> message is displayed at the top of the page.</p>
                                </li>
                                <li>
                                    <p class="table-text">To download a particular version of the selected GSP file:</p>
                                    <ol>
                                        <li>
                                            <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">In the dialog box, select the version number of the GSP file you want to download and click <strong>Download</strong>.<br />If the download is successful, the <strong>File Downloaded Successfully</strong> message appears at the top of the page.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Revert</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Using version control, you can keep a record of the changes made to the GSP files over time and revert to an older or newer version when needed.</p>
                            <p class="table-text">To revert a&#160;GSP file to another version:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the GSP file, and then click the <strong>Versions</strong> icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the dialog box, select the version number of the file to which you want to revert, and then click <strong>Revert</strong>.<br />After the revert is successful, the <strong>Version changed successfully</strong> message appears at the top of the page.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Delete Version</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">To delete a GSP file version from the user interface:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the GSP file you want to delete, and then click the <strong>Versions</strong> icon. <br />A dialog box is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">Select the version number of the inactive GSP file you want to delete and click&#160;<strong>Delete</strong>.<br /><strong>Are you sure? </strong>confirmation message is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click&#160;<strong>Yes</strong>&#160;to delete the file.<br />If the deletion is successful, the <strong>File Deleted Successfully</strong> message is displayed at the top of the page.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Managing the External Jar Files</h2>
        <p>You can upload, edit, download, delete, and revert external JAR files from the <strong>File Directory</strong> page.</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; File Directory</strong>.<br />The <strong>File Directory</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click the <strong>externalJar</strong> tab, and then perform any required action listed in the following table:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 177.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 584.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Upload</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload external JAR files in IGA:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click the <strong>Upload</strong> icon. Alternatively, click <strong>Upload New File</strong>.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click&#160;<strong>Select</strong> next to&#160;the <strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the JAR file to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Upload</strong>. The newly uploaded file is added to IGA.<br />If the upload is successful, the <strong>File Uploaded Successfully</strong> message appears at the top of the page.</p>
                                        </li>
                                    </ol>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">If a file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the <label class="filename-path">ExampleJar.jar</label> file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                    </div>
                                    <ol style="list-style-type: lower-alpha;" MadCap:continue="true">
                                        <li>
                                            <p class="table-text">Click <strong>Close</strong>.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Download</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To download the external JAR files to your local system:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the JAR file you want to download, and then click the <strong>Download</strong> icon. <br />After the download is successful the <strong>File Downloaded Successfully</strong> message is displayed at the top of the page.</p>
                                </li>
                                <li>
                                    <p class="table-text">You can also download a particular version of the selected JAR file:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">From the dialog box, select the version number that you want to download and click <strong>Download</strong>.<br />If the download is successful, the <strong>File Downloaded Successfully</strong> message is displayed at the top of the page.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Revert</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">You can also keep a record of the changes made to the files over time and revert to an older or newer version when needed.</p>
                            <p class="table-text">To revert a&#160;data file to another version:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the JAR file you want to revert, and then click the <strong>Versions</strong> icon. <br />A dialog box is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the dialog box, select the version number of the file you want to revert, and then click&#160;<strong>Revert</strong>.<br />If the revert is successful, the <strong>Version changed successfully</strong> message is displayed at the top of the page and then the <strong>Service Restart</strong> dialog box is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Delete Version</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">To delete an existing version of a JAR file from the user interface:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the JAR file you want to delete and click the <strong>Versions</strong> icon. <br />A dialog box is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the dialog box, select the version number of the JAR file you want to delete, and then click&#160;<strong>Delete</strong>.<br /><strong>Are you sure?</strong> confirmation message appears.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click&#160;<strong>Yes</strong>&#160;to delete the file.<br />If the delete is successful, the <strong>File Deleted Successfully</strong> message is displayed at the top of the page.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 MadCap:conditions="Default.v2020X">Managing Images</h2>
        <p MadCap:conditions="Default.v2020X">You can upload, download, and delete images from the <strong>File Directory</strong> page.</p>
        <ol MadCap:conditions="Default.v2020X">
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; File Directory</strong>.<br />The <strong>File Directory</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click the <strong>Images</strong> tab, and then perform the required action:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 177.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 584.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Step</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Upload</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To upload images:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the <strong>Upload</strong> icon. Alternatively, click <strong>Upload New File</strong>.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click&#160;<strong>Select</strong>.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Select the image you want to upload, and then click&#160;<strong>Open </strong>to add it to IGA.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click <strong>Upload</strong>. The newly uploaded image is added to IGA.<br />If the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.</p>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Download</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To download the images to your local system:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the image you want to download. </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click <strong>Download</strong>.<br />If the download is successful, the <strong>File Downloaded Successfully</strong> message is displayed at the top of the page.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text"><strong>Delete</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">To delete the images from the user interface:</p>
                                <ol>
                                    <li>
                                        <p class="table-text"> Select the image you want to delete.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click <strong>Delete</strong>.<br />If the delete is successful, the <strong>File Deleted Successfully</strong> message appears at the top of the page.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ol>
        <h2>Managing the Schema Files</h2>
        <p>You can upload, download, revert, and delete the following schema files from the <strong>File Directory</strong> page:</p>
        <ul>
            <li>
                <p>SAV Files</p>
            </li>
            <li>
                <p>Data Files</p>
            </li>
            <li>
                <p>Success Files</p>
            </li>
            <li>
                <p>Fail Files</p>
            </li>
        </ul>
        <p>To manage the schema files, perform the following:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; File Directory</strong>.<br />The <strong>File Directory</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click the tab depending on the file you want to manage (<b>SAV, Datafiles, Success</b>, or <strong>Fail</strong>), and then perform any required action listed in the following table:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 177.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 584.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Upload</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p>To upload the schema files in IGA:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the tab depending on the file you want to upload (<strong>SAV </strong>or <strong>Datafiles</strong>). </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click the <strong>Upload</strong> icon. Alternatively, click <strong>Upload New File</strong>.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box. </p>
                                            </li>
                                            <li>
                                                <p class="table-text">Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click <strong>Upload</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.<br /></p>
                                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                    <p class="note">If SAV file or data file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the <label class="filename-path">ENTITLEMENT_VALUES.sav</label> file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                                </div>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Download</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To download the schema files to your local system:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the tab depending on the file you want to upload (<b>SAV, Datafiles, Success</b>, or <strong>Fail</strong>). </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select the file you want to download, and then click the <strong>Download</strong> icon. <br />After the download is successful, the <strong>File Downloaded Successfully</strong> message appears at the top of the page.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">You can also download a particular version of the selected SAV file or data file:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">In the dialog box, select the version number of the SAV file or data file you want to download, and then click <strong>Download</strong>.<br />If the download is successful, the <strong>File Downloaded Successfully</strong> message is displayed at the top of the page.</p>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Versions</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">You can also keep a record of the changes made to the SAV files or data files over time and revert to an older or newer version when needed.</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">The versioning feature is available from Release 5.5 SP4 onwards only for the SAV and data files. </p>
                                </div>
                                <p class="table-text">To revert SAV file or data file to another version:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the tab depending on the file you want to revert (<strong>SAV</strong> or <strong>Datafiles</strong>). </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select the file that you want to revert, and then click the <strong>Versions</strong> icon. <br />A dialog box is displayed.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the dialog box, select the version number of the file you want to revert, and then click&#160;<strong>Revert</strong>.<br />If the revert is successful, the <strong>Version changed successfully</strong> message is displayed at the top of the page.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text"><strong>Delete</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">To delete an existing version of a schema file from the user interface:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the tab depending on the file you want to delete (<b>SAV, Datafiles, Success</b>, or <strong>Fail</strong>). </p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select the file you want to delete, and then click <strong>Delete</strong>.<br />If the delete is successful, the <strong>File Deleted Successfully</strong> message is displayed at the top of the page.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">You can also delete a particular version of the selected SAV file or data file:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Select the file you want to delete, and then click the <strong>Versions</strong> icon. <br />A dialog box is displayed.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">In the dialog box, select the version number of the file you want to delete, and then click&#160;<strong>Delete</strong>. The<br /><strong>Are you sure?</strong> confirmation message appears.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click&#160;<strong>Yes</strong>&#160;to delete the file.<br />If the delete is successful, the <strong>File Deleted Successfully</strong> message is displayed at the top of the page.</p>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ol>
        <h2>Managing the Connector Files</h2>
        <p> You can upload, download, and delete the connector certificate files from the <strong>ConnectorFiles</strong> tab on the <strong>File Directory</strong> page.</p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">Available from Release v2021.0 onwards.</p>
        </div>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; File Directory</strong>.<br />The <strong>File Directory</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click the <strong>ConnectorFiles</strong> tab and then perform any required action listed in the following table:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 177.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 584.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Upload</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To upload the connector certificate file in IGA:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the <strong>Upload</strong> icon. Alternatively, click <strong>Upload New File</strong>.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box. </p>
                                            </li>
                                            <li>
                                                <p class="table-text">Select the P12 file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.</p>
                                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                    <p class="note"> If you want to replace the selected file with another file, then click <strong>Change</strong>.</p>
                                                </div>
                                            </li>
                                        </ol>
                                        <ol style="list-style-type: lower-alpha;" MadCap:continue="true">
                                            <li>
                                                <p class="table-text">Click <strong>Upload</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.</p>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Download</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To download the connector certificate file to your local system:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the connector configuration file you want to download.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click <strong>Download</strong>.<br />If the download is successful, the <strong>File Downloaded Successfully</strong> message is displayed at the top of the page.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text"><strong>Delete</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">To delete the connector certificate file:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the connector configuration file you want to delete.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click&#160;<strong>Delete</strong>.<br /><strong>Are you sure? </strong>confirmation message is displayed.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Click&#160;<strong>Yes</strong>&#160;to delete the file.<br />If the deletion is successful, the <strong>File Deleted Successfully</strong> message is displayed at the top of the page.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ol>
    </body>
</html>